> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: f00e49bb-d227-4578-8ef3-c2774b109bb0
---

# Get a line item by ID

> Get a specific line item by its ID. By default, the response will only include the ID. You can get specific properties in the response by using the &properties= parameter in the URL, and that parameter can be included multiple times to get multiple properties. See the example for more details.

export const ScopesList = ({scopes = [], description = "This API requires one of the following scopes:"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json GET /crm-objects/v1/objects/line_items/{id}
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/{id}:
    get:
      summary: Get a line item by ID
      description: >-
        Get a specific line item by its ID. By default, the response will only
        include the ID. You can get specific properties in the response by using
        the &properties= parameter in the URL, and that parameter can be
        included multiple times to get multiple properties. See the example for
        more details.
      operationId: getcrmobjectsv1objectslineitemsid
      responses:
        '200':
          description: Successful response - Get a specific line item by its ID
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a line item by ID - Example 1
                  value:
                    - versions:
                        - name: hs_product_id
                          value: '1645342'
                          sourceVid: []
                      value: '1645342'
                      timestamp: 0
                      source: null
                      sourceId: null
                    - versions:
                        - name: quantity
                          value: '25'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '25'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: price
                          value: '27.50'
                          timestamp: 1525299376761
                          source: API
                          sourceVid: []
                      value: '27.50'
                      timestamp: 1525299376761
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A custom name for the product for this line item.
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: A custom name for the product for this line item.
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1645342'
                          sourceVid: []
                      value: '1645342'
                      timestamp: 0
                      source: null
                      sourceId: null
      security:
        - oauth2:
            - crm.objects.line_items.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.line_items.read
        - private_apps_legacy: []
components: {}

````